/*
 * Class ABSOLUTE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_885 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_885 [] = {0xFF01,237,884,0xFFFF};
static const EIF_TYPE_INDEX egt_2_885 [] = {0xFF01,884,0xFFFF};
static const EIF_TYPE_INDEX egt_3_885 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_885 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_885 [] = {0xFF01,884,0xFFFF};
static const EIF_TYPE_INDEX egt_6_885 [] = {0xFF01,884,0xFFFF};
static const EIF_TYPE_INDEX egt_7_885 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_885 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_885 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_885 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_885 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_885 [] = {0xFF01,884,0xFFFF};
static const EIF_TYPE_INDEX egt_13_885 [] = {0xFF01,884,0xFFFF};
static const EIF_TYPE_INDEX egt_14_885 [] = {0xFF01,884,0xFFFF};
static const EIF_TYPE_INDEX egt_15_885 [] = {0xFF01,884,0xFFFF};
static const EIF_TYPE_INDEX egt_16_885 [] = {0xFF01,880,0xFFFF};
static const EIF_TYPE_INDEX egt_17_885 [] = {0xFF01,896,0xFF01,884,0xFFFF};
static const EIF_TYPE_INDEX egt_18_885 [] = {0xFF01,880,0xFFFF};


static const struct desc_info desc_885[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_885), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_885), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1455, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_885), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_885), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_885), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_885), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_885), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_885), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_885), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_885), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_885), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_885), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E9 /*884*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_885), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12924, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1452, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1453, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1454, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1456, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_885), 1457, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_885), 1458, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_885), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_885), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_885), 12925, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_885), -1, 0xFFFFFFFF},
};
void Init885(void)
{
	IDSC(desc_885, 0, 884);
	IDSC(desc_885 + 1, 1, 884);
	IDSC(desc_885 + 32, 203, 884);
	IDSC(desc_885 + 36, 288, 884);
	IDSC(desc_885 + 39, 383, 884);
}


#ifdef __cplusplus
}
#endif
